<?php

namespace Franzz\Spot;
use Franzz\Objects\PhpObject;
use \Settings;

class Geo extends PhpObject {

	const GEO_FOLDER = '../geo/';
	const OPT_SIMPLE = 'simplification';

	protected $asTracks;
	protected $sFilePath;

	public function __construct($sCodeName) {
		parent::__construct(get_class($this), Settings::DEBUG, PhpObject::MODE_HTML);
		$this->sFilePath = self::getFilePath($sCodeName);
		$this->asTracks = array();
	}

	public static function getFilePath($sCodeName) {
		return self::GEO_FOLDER.$sCodeName.static::EXT;
	}

	public static function getDistFilePath($sCodeName) {
		return 'geo/'.$sCodeName.static::EXT;
	}

	public function getLog() {
		return $this->getCleanMessageStack(PhpObject::NOTICE_TAB);
	}
}